
ISIS - Bug #805

Application does not report User Interface parameters added at runtime

2012-04-25 03:42 PM - Tammy Becker

Status: Closed   

Priority: Normal   

Assignee: Curtis Rose   

Category: API   

Target version: 3.4.13 (FY16 R3 2016-08-31 Aug)   

Impact: GUI internal defaults are reflected

properly when navigating through

previous and next histories.

Software Version:  

Description

A parameter can be added to the UserInterface object from an application at runtime.  For example,

Application::UserInterface.PutFilename("BASE", "temp.txt") would set the parameter BASE to the filename temp.txt.

If the user runs an application that does this (e.g., "isis2std", "cnetmerge") from the command line, the new parameter is properly

reported to the print.prt file.  If the user runs the application from the GUI, however, the new parameter is placed in its field within the

gui, but it is not reported to the print file.

Steps to reproduce:

1. Run cnetmerge from the gui with INPUTTYPE=LIST

2. Do not provide a value for BASE.

3. Check the print.prt file, note that BASE will not be present

4. Run cnetmerge -last, and note that BASE is now in the print.prt file

Additional information:

Travis originally reported this issue; simply changed to triage-staff (tbecker).

Related issues:

Related to ISIS - Feature #180: cnetmerge:  need method for selecting base ne... Closed

History

#1 - 2012-08-28 03:51 PM - Janet Barrett

Hi Tammy,

This actually sounds like another problem with the IsisAml class which has numerous problems. If this is the case, then I will defer this problem to

Stuart.

Janet

#2 - 2012-09-19 04:34 PM - Tammy Becker

Unassigned from Janet for now; will revisit when photomet/Gui/isisaml issues are worked on.

#3 - 2013-03-29 02:32 PM - Tammy Becker

- Target version changed from 3.4.1 (2012-08-28) to 150

#4 - 2013-08-15 10:41 AM - Anonymous

- Target version deleted (150)
#5 - 2014-05-23 10:40 AM - Stuart Sides

- Target version set to 3.4.7 (2014-08-27 Aug)

#6 - 2014-09-08 11:10 AM - Stuart Sides

- Target version changed from 3.4.7 (2014-08-27 Aug) to 159

#11 - 2014-12-04 03:06 PM - Stuart Sides

- Target version deleted (159)

#12 - 2016-04-25 10:08 AM - Stuart Sides

- Status changed from Acknowledged to Assigned

- Assignee set to Curtis Rose

- Target version set to 3.4.13 (FY16 R3 2016-08-31 Aug)

#13 - 2016-04-29 03:07 PM - Curtis Rose

- Status changed from Assigned to In Progress

#14 - 2016-06-09 01:42 PM - Curtis Rose

- Status changed from In Progress to Resolved

#15 - 2016-06-09 01:49 PM - Curtis Rose

- Impact updated

#16 - 2016-06-09 02:18 PM - Curtis Rose

- Status changed from Resolved to In Progress

#17 - 2016-06-10 01:04 PM - Curtis Rose

- Status changed from In Progress to Resolved

#18 - 2016-06-10 02:34 PM - Tammy Becker

- Status changed from Resolved to Closed

I tested the gui with defaults on many of the applications listed below; I included restoring old history files through the gui (dated back to 2011/2012)

and all seemed to work well.

I don't know which ones might have had an internal default change to directly test this fix.

Curtis listed the following applications that used internal defaults:

blend

cam2cam

cam2map

center

circle

cubediff

hist

lowpass

mapsize

maptrim

nocam2map

pixel2map

sharpen

stats

stretch

Thank you,
